Send appraisals from Cart to Portal
curl --request POST \
--url https://api.valuechecker.net/client_reference/{client_reference_id}/portal/customer/send \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.valuechecker.net/client_reference/{client_reference_id}/portal/customer/send"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.valuechecker.net/client_reference/{client_reference_id}/portal/customer/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_reference_id": 9337,
"sent_result": [
{
"display_id": 194,
"row_id": 1,
"location_id": "",
"location": "",
"quantity": 1,
"description": "193",
"condition": 2,
"cost": 0,
"total": 0,
"age": "",
"notes": "",
"files": [
""
],
"create_time": "2025-03-11 10:18:26",
"update_time": "2025-03-11 10:18:26",
"pid": 2273807050
}
]
}{
"error": "Client reference 9337 was not found",
"event_code": "ERNF00",
"event_dict": {
"event_severity": "ERROR",
"title": "Wrong \"client_reference_id\" value",
"description": "The client_reference_id \"9337\" was not found"
}
}{
"error": "Invalid Authorization header",
"event_code": "ERIT00",
"event_dict": {
"event_severity": "ERROR",
"title": "Invalid Authorization header",
"description": "Please provide the right authorization token"
}
}Endpoint Examples
Send appraisals from Cart to Portal
POST
/
client_reference
/
{client_reference_id}
/
portal
/
customer
/
send
Send appraisals from Cart to Portal
Authorizations
Note! Prefix your with apiKey. Note the space after "apiKey ".
Path Parameters
The client reference identifier.
Body
application/json
Response
OK
- Option 1
- Option 2
The response is of type object.
⌘I